import { ComponentPropsWithoutRef, MutableRefObject } from 'react';

export type DialogProps = {
  heading: string;
  message: string;
  open: boolean;
  onClose: () => void;
  triggerElementRef?: MutableRefObject<HTMLElement>;
} & ComponentPropsWithoutRef<'div'>;
