import { ComponentProps } from 'react';

import { TextColor } from '../types';

export type HeadingTag = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';

export type HeadingProps<T extends HeadingTag> = {
  tag: T;
  color?: TextColor;
} & ComponentProps<T>;
