import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { ImageFileManager } from './component';

export function ImageFileManagerPreview() {
  const [value, setValue] = useState<File>(null);

  return (
    <PreviewArticle title="ImageFileManager">
      <ImageFileManager
        scale="s"
        label={{ text: 'Image uploader' }}
        value={value}
        onChange={setValue}
      />
      <ImageFileManager
        scale="m"
        label={{ text: 'Image uploader' }}
        value={value}
        onChange={setValue}
      />
      <ImageFileManager
        scale="l"
        label={{ text: 'Image uploader' }}
        value={value}
        onChange={setValue}
      />
    </PreviewArticle>
  );
}
