import { Scale } from '@components/ui/types';
import { ComponentProps, ReactNode } from 'react';

import { RawInputProps } from '../raw';

type InputProps = {
  scale?: Scale;
  wrapper?: ComponentProps<'div'>;
  leftNode?: ReactNode;
  rightNode?: ReactNode;
  invalid?: boolean;
} & RawInputProps;

export { InputProps };
