import { ComponentProps, Key } from 'react';

export type MenuProps<T> = {
  options: T[];
  selected?: T;
  getOptionKey: (option: T) => Key;
  getOptionLabel: (option: T) => string;
  onSelect?: (option: T) => void;
} & Omit<ComponentProps<'ul'>, 'onSelect'>;
