import clsx from 'clsx';
import React from 'react';

import style from './styles.module.scss';
import { PreviewBoxProps } from './types';

export function PreviewBox({ className, ...props }: PreviewBoxProps) {
  const classNames = clsx(style.previewBox, className);
  return <div className={classNames} {...props} />;
}
