import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { RadioGroup } from './component';

export function RadioGroupPreview() {
  const [value1, setValue1] = useState<string>('Vanilla 🍦');
  const [value2, setValue2] = useState<string>('Vanilla 🍦');
  const [value3, setValue3] = useState<string>('Vanilla 🍦');
  const items = ['Vanilla 🍦', 'Chocolate 🍫', 'Strawberry 🍓'];

  return (
    <PreviewArticle title="RadioGroup">
      <RadioGroup
        name="animala-s"
        value={value1}
        items={items}
        onChange={(i) => setValue1(i)}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What is your favorite ice cream flavor?"
        scale="s"
      />
      <RadioGroup
        name="animala-m"
        value={value2}
        items={items}
        onChange={(i) => setValue2(i)}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What is your favorite ice cream flavor?"
        scale="m"
      />
      <RadioGroup
        name="animala-l"
        value={value3}
        items={items}
        onChange={(i) => setValue3(i)}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What is your favorite ice cream flavor?"
        scale="l"
      />
    </PreviewArticle>
  );
}
