import { PreviewArticle } from '@components/ui/preview';
import React from 'react';

import { TextInput } from './component';

export function TextInputPreview() {
  return (
    <PreviewArticle title="TextInput">
      <TextInput
        scale="s"
        label={{ text: 'Enter your name' }}
        required
        name="login"
      />
      <TextInput
        scale="m"
        label={{ text: 'Enter your name' }}
        required
        name="login"
      />
      <TextInput
        scale="l"
        label={{ text: 'Enter your name' }}
        required
        name="login"
      />
      <TextInput
        label={{ text: 'Incorrect value', error: 'Validation error' }}
        name="login"
      />
    </PreviewArticle>
  );
}
