import { ReactNode } from 'react';

export type ControllerRenderParams<T> = {
  name: string;
  value: T;
  onChange: (value: T) => void;
};

export type ControllerProps<T> = {
  name: string;
  hash: number;
  value: T;
  onChange: (value: T) => void;
  render: (params: ControllerRenderParams<T>) => ReactNode;
};
