from fastapi import APIRouter
from data.repository import WeatherRepository

router = APIRouter(
    prefix="/api/weather",
    tags=["Weather Api"],
)


@router.get("/")
async def get_weather():
    return WeatherRepository().get_all()

