export type TurbineType = {
  id: number;
  name: string;
  height: number;
  bladeLength: number;
};

export type Park = {
  id: number;
  name: string;
  centerLatitude: number;
  centerLongitude: number;
};

export type ParkTurbine = {
  id: number;
  name: string;
  height: number;
  bladeLength: number;
  xOffset: number;
  yOffset: number;
  angle: number;
  comment: string;
};

export type ParkWithTurbines = {
  id: number;
  name: string;
  centerLatitude: number;
  centerLongitude: number;
  turbines: ParkTurbine[];
};
