import { DataGridColumnConfig } from '@components/ui/data-grid/types';
import { Park } from 'src/api/wind';

export const columns: DataGridColumnConfig<Park>[] = [
  { name: 'Name', getText: (t) => t.name, width: 2 },
  { name: 'Center Latitude', getText: (t) => String(t.centerLatitude) },
  { name: 'Center Longitude', getText: (t) => String(t.centerLongitude) },
];
