import { TurbineType } from '@api/wind';

import { TurbineTypeFormValues } from './types';

export const unpackTurbineType = (
  turbineType: TurbineType,
): TurbineTypeFormValues => {
  return {
    name: turbineType.name,
    height: String(turbineType.height),
    bladeLength: String(turbineType.bladeLength),
  };
};
