import { DataGridColumnConfig } from '@components/ui/data-grid/types';
import { TurbineType } from 'src/api/wind';

export const columns: DataGridColumnConfig<TurbineType>[] = [
  { name: 'Name', getText: (t) => t.name, width: 2 },
  { name: 'Height', getText: (t) => String(t.height) },
  { name: 'Blade length', getText: (t) => String(t.bladeLength) },
];
