import { PreviewArticle, PreviewBox } from '@components/ui/preview';
import React from 'react';

import { Button } from './component';

export function ButtonPreview() {
  return (
    <PreviewArticle title="Button">
      <PreviewBox>
        <Button scale="s">Button</Button>
        <Button scale="m">Button</Button>
        <Button scale="l">Button</Button>
      </PreviewBox>
      <PreviewBox>
        <Button scale="s" pending>
          Button
        </Button>
        <Button scale="m" pending>
          Button
        </Button>
        <Button scale="l" pending>
          Button
        </Button>
      </PreviewBox>
      <PreviewBox>
        <Button scale="s" variant="secondary">
          Button
        </Button>
        <Button scale="m" variant="secondary">
          Button
        </Button>
        <Button scale="l" variant="secondary">
          Button
        </Button>
      </PreviewBox>
      <PreviewBox>
        <Button scale="s" variant="secondary" pending>
          Button
        </Button>
        <Button scale="m" variant="secondary" pending>
          Button
        </Button>
        <Button scale="l" variant="secondary" pending>
          Button
        </Button>
      </PreviewBox>
    </PreviewArticle>
  );
}
