export type CalendarDay = {
  number: number;
  isDisabled: boolean;
  isSelected: boolean;
  isToday: boolean;
  string: string;
  isCurrentMonth: boolean;
};

export type CalendarDaysProps = {
  value?: string;
  onChange: (value: string) => void;
  min: Date | null;
  max: Date | null;
  date: Date;
  onMonthChange: (delta: number) => void;
};

export type GetCalendarDaysParams = {
  year: number;
  monthIndex: number;
  today: Date;
  selectedDateStr?: string;
  min: Date | null;
  max: Date | null;
};
