import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { Calendar } from './component';

export function CalendarPreview() {
  const [date, setDate] = useState<string>('2024-10-09T01:07');

  return (
    <PreviewArticle title="Calendar">
      <Calendar
        value={date}
        onChange={setDate}
        min="2024-10-02T00:00"
        max="2024-10-15T00:00"
      />
    </PreviewArticle>
  );
}
