import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { CheckboxGroup } from './component';

export function CheckboxGroupPreview() {
  const [value1, setValue1] = useState<boolean[]>([true, true, false]);
  const [value2, setValue2] = useState<boolean[]>([true, true, false]);
  const [value3, setValue3] = useState<boolean[]>([true, true, false]);
  const items = ['Pop', 'Rap', 'Rock'];

  return (
    <PreviewArticle title="CheckboxGroup">
      <CheckboxGroup
        name="animal-s"
        value={value1}
        items={items}
        onChange={setValue1}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What genre of music do you like?"
        scale="s"
      />
      <CheckboxGroup
        name="animal-m"
        value={value2}
        items={items}
        onChange={setValue2}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What genre of music do you like?"
        scale="m"
      />
      <CheckboxGroup
        name="animal-l"
        value={value3}
        items={items}
        onChange={setValue3}
        getItemKey={(i) => i}
        getItemLabel={(i) => i}
        label="What genre of music do you like?"
        scale="l"
      />
    </PreviewArticle>
  );
}
