import { Scale } from '../types';

export type CheckboxGroupProps<T> = {
  name: string;
  value: boolean[];
  items: T[];
  onChange: (value: boolean[]) => void;
  getItemKey: (item: T) => React.Key;
  getItemLabel: (item: T) => string;
  scale?: Scale;
  label?: string;
};
