import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { DateInput } from './component';

export function DateInputPreview() {
  const [date, setDate] = useState<string>();
  return (
    <PreviewArticle title="DateInput">
      <DateInput
        value={date}
        onChange={(v) => setDate(v)}
        scale="s"
        label={{ text: 'Date' }}
        name="date"
      />
      <DateInput
        value={date}
        onChange={(v) => setDate(v)}
        scale="m"
        label={{ text: 'Date' }}
        name="date"
      />
      <DateInput
        value={date}
        onChange={(v) => setDate(v)}
        scale="l"
        label={{ text: 'Date' }}
        name="date"
      />
    </PreviewArticle>
  );
}
