export const valueToDirtyDate = (value: string = '') => {
  const year = value.substring(0, 4);
  const month = value.substring(5, 7);
  const day = value.substring(8, 10);
  return `${day}${month && '.'}${month}${year && '.'}${year}`;
};

export const inputToDirtyDate = (input: string) => {
  const value = input.replace(/\D/g, '');
  const day = value.substring(0, 2);
  const month = value.substring(2, 4);
  const year = value.substring(4, 8);
  return `${day}${month && '.'}${month}${year && '.'}${year}`;
};

export const dirtyDateToValue = (dirtyDate: string) => {
  const day = dirtyDate.substring(0, 2);
  const month = dirtyDate.substring(3, 5);
  const year = dirtyDate.substring(6, 10);
  return `${year}-${month}-${day}T00:00`;
};
