import { ComponentPropsWithoutRef } from 'react';

import { LabelProps } from '../label';
import { RawInputProps } from '../raw';
import { Scale } from '../types';

export type FileUploaderProps = {
  extensions?: string[];
  onChange?: (value: File[]) => void;
  scale?: Scale;
  label?: LabelProps;
  input?: Omit<RawInputProps, 'type'>;
} & Omit<ComponentPropsWithoutRef<'button'>, 'onChange'>;
