import { LabelProps } from '../label';
import { Scale } from '../types';

export type ImageFileManagerProps = {
  value?: File | null;
  onChange?: (value: File | null) => void;
  scale?: Scale;
  label?: LabelProps;
} & Omit<ComponentPropsWithoutRef<'div'>, 'onChange'>;
