import { ComponentProps } from 'react';

import { Required, Scale } from '../types';

export type LabelProps = {
  text?: string;
  scale?: Scale;
  position?: 'left' | 'top' | 'right' | 'bottom';
  required?: Required;
  error?: string;
} & ComponentProps<'label'>;
