import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { NumberInput } from './component';

export function NumberInputPreview() {
  const [value1, setValue1] = useState<string>('');
  const [value2, setValue2] = useState<string>('');
  const [value3, setValue3] = useState<string>('');

  return (
    <PreviewArticle title="NumberInput">
      <NumberInput
        scale="s"
        label={{ text: 'Number' }}
        value={value1}
        onChange={setValue1}
        negative
        float
      />
      <NumberInput
        scale="m"
        label={{ text: 'Number' }}
        value={value2}
        onChange={setValue2}
        negative
        float
      />
      <NumberInput
        scale="l"
        label={{ text: 'Number' }}
        value={value3}
        onChange={setValue3}
        negative
        float
      />
    </PreviewArticle>
  );
}
