import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { Pagination } from './component';

export function PaginationPreview() {
  const [value1, setValue1] = useState<number>(1);
  const [value2, setValue2] = useState<number>(1);
  const [value3, setValue3] = useState<number>(1);

  return (
    <PreviewArticle title="Pagination">
      <Pagination value={value1} onChange={setValue1} total={20} scale="s" />
      <Pagination value={value2} onChange={setValue2} total={20} scale="m" />
      <Pagination value={value3} onChange={setValue3} total={20} scale="l" />
    </PreviewArticle>
  );
}
