import { MutableRefObject, ReactElement } from 'react';

export type PopoverPosition = 'top' | 'bottom';

export type PopoverHorizontalAlign = 'left' | 'right' | 'center' | 'stretch';

export type PopoverProps = {
  visible: boolean;
  anchorRef: MutableRefObject<HTMLElement>;
  position: PopoverPosition;
  horizontalAlign: PopoverHorizontalAlign;
  element: ReactElement;
  flip?: boolean;
};
