import { Key } from 'react';

import { Scale } from '../types';

export type RadioGroupProps<T> = {
  name: string;
  value: T;
  items: T[];
  onChange: (value: T) => void;
  getItemKey: (item: T) => Key;
  getItemLabel: (item: T) => string;
  scale?: Scale;
  label?: string;
};
