import { Checkbox } from '@components/ui/checkbox';
import { Span } from '@components/ui/span';
import React from 'react';

import styles from './styles.module.scss';

export function ParkTurbineTableHeader() {
  return (
    <header className={styles.header}>
      <Checkbox
        checked={false}
        onChange={() => {}}
        label={{ className: styles.checkboxLabel }}
      />
      <Span color="t300" className={styles.cell}>
        Id
      </Span>
      <Span color="t300" className={styles.cell}>
        Name
      </Span>
      <Span color="t300" className={styles.cell}>
        X
      </Span>
      <Span color="t300" className={styles.cell}>
        Y
      </Span>
      <Span color="t300" className={styles.cell}>
        Angle
      </Span>
      <Span color="t300" className={styles.cell}>
        Comment
      </Span>
    </header>
  );
}
