export const arrayToObject = <T>(
  array: T[],
  getItemKey: (item: T) => string,
) => {
  const obj: Record<string, T> = {};
  array.forEach((item) => {
    obj[getItemKey(item)] = item;
  });
  return obj;
};
