import { useCallback } from 'react';

import { UseGetFormStoreParams } from './types';

export const useGetValues = <T extends object>({
  storeRef,
}: UseGetFormStoreParams<T>) => {
  return useCallback(() => {
    return storeRef.current.values;
  }, []);
};
