import { MutableRefObject } from 'react';

export type FormValues<T> = Partial<T>;

export type FormStore<T> = {
  values: FormValues<T>;
  hash: number;
};

export type FormStoreRef<T> = MutableRefObject<FormStore<T>>;
