import { matchRoutes, useLocation } from 'react-router-dom';

import { routeArray, routeMap, ROUTES } from './constants';

export const useRoute = () => {
  const location = useLocation();
  const match = matchRoutes(routeArray, location);
  return match ? ROUTES[routeMap[match[0].route.path]] : null;
};
