# Evaluation Efficiency Optimization Wind Server


## Requirements
1) Python 3.12


## Getting Started
1. Create virtual environment
    ```zsh
    python3 -m venv .venv
    ```

2. Source virtual environment
    ```zsh
    source .venv/bin/activate
    ```
   
3. Install dependencies
    ```zsh
    pip install -r requirements.txt
    ```

4. Enter src directory
   ```zsh
   cd src
   ```
   
5. Start FastAPI process
   ```zsh
   uvicorn main:app --reload
   ```